var admobid = {};
if( /(android)/i.test(navigator.userAgent) ) { 
	admobid = { // for Android
		banner: 'ca-app-pub-8490669222547703/4829706475',
        interstitial: 'ca-app-pub-8490669222547703/8049695155'
	};
} else if(/(ipod|iphone|ipad)/i.test(navigator.userAgent)) {
	admobid = { // for iOS
		banner: 'ca-app-pub-8490669222547703/4829706475',
		interstitial: 'ca-app-pub-8490669222547703/4829706475'
	};
} else {
	admobid = { // for Windows Phone
		banner: 'ca-app-pub-8490669222547703/4829706475',
		interstitial: 'ca-app-pub-8490669222547703/4829706475'
	};
}

if(( /(ipad|iphone|ipod|android|windows phone)/i.test(navigator.userAgent) )) {
	document.addEventListener('deviceready', initApp, false);
} else {
	initApp();
}

function initApp() {
	if (! AdMob ) { return; }

	AdMob.createBanner( {
		adId: admobid.banner, 
        //isTesting: true, //comment this out before publishing the app
		overlap: false, 
		offsetTopBar: false, 
		position: AdMob.AD_POSITION.BOTTOM_CENTER,
		bgColor: 'black'
	} );

    myAdMobPrepareInterstitial();
}

function myAdMobPrepareInterstitial(){
    AdMob.prepareInterstitial({
        adId: admobid.interstitial,
        //isTesting:true, //comment this out before publishing the app
        autoShow: false
    });
}

function adMobShowInterstitialAd(){
    if(AdMob) {
        AdMob.showInterstitial();
        myAdMobPrepareInterstitial();
    }
}