var media;
var currentRunCount;
var countToPlay; //this will be equal to the controlID

function showMessage(message) {
//    console.log(message);
//    alert(message);
}

function initPlayMusic(ctrlId) {
//	console.log("initPlayMusic 1");
	countToPlay = ctrlId;
	if(document.getElementById(countToPlay).className.indexOf("button button-block button-positive icon-left ion-play") > -1) {
		if (media != null) {
            showMessage("initPlayMusic 1");
			updateButtonTextToDefault();
			makeAllAsPlayButtons();
			updateButtonText();
			return;
		}
		else {
			playMusic(ctrlId);
		}
	}
	else {
		stopMusic();
		afterStopMusic();
        showMessage("initPlayMusic 2");
	}
    showMessage("initPlayMusic 3");
	
}

function playMusic(ctrlId) {
//	console.log(document.getElementById(countToPlay).className);
	if(document.getElementById(countToPlay).className.indexOf("button button-block button-positive icon-left ion-play") > -1) {
        showMessage("playMusic 1");
		updateButtonTextToDefault();
		makeAllAsPlayButtons();
		document.getElementById(countToPlay).className = "button button-block button-positive icon-left ion-stop";
        showMessage("playMusic 1.1");
		fileName = 'OM.mp3';
		var mp3Path = getMediaURL(fileName);
        showMessage("playMusic 1.2");
		media = new Media(mp3Path, onSuccess, onMediaError, onMediaStatusChange);
        showMessage("playMusic 1.3");
		media.play();
        showMessage("playMusic 1.4");
		currentRunCount = 1;
		updateButtonText();
        showMessage("playMusic 2");
	}
	else {
		afterStopMusic();
        showMessage("playMusic 3");
	}
}

function onSuccess(e) {

}

function onMediaError(e) {
	if(e.code != 0) {
		alert('Media Error' + ' :: ' + e.message + " :: " + e.code);
		console.error('Media Error' + ' :: ' + e.message + " :: " + e.code);
	}
}

function onMediaStatusChange(status) { //this is for looping
//	console.info('Status Changed to :: ' + status);
	if( status==Media.MEDIA_STOPPED ) {
		if(currentRunCount >= countToPlay)
		{
			showMessage("onMediaStatusChange 1");
			stopMusic(); 
			afterStopMusic();
            adMobShowInterstitialAd();
			return;
		}
		showMessage("onMediaStatusChange 2");
		media.play();
		currentRunCount++;
		updateButtonText();
        showMessage("onMediaStatusChange 3");
	}
}

function stopMusic() {
	showMessage("stopMusic 1");
//	currentRunCount = 1000;
	if(media)
	{
		media.stop();
		media.release();
		media = null;
	}
	showMessage("stopMusic 2");
}

function afterStopMusic() {
	showMessage("afterStopMusic 1");
	updateButtonTextToDefault();
	makeAllAsPlayButtons();
	currentRunCount = 7000;
    showMessage("afterStopMusic 2");
}

function getMediaURL(fName) {
    showMessage("getMediaUrl 1");
    showMessage("/android_asset/www/Music/" + fName);
	if(ionic.Platform.platform().toLowerCase() === "android") return "/android_asset/www/Music/" + fName;
    showMessage("getMediaUrl 2");
	return s;
}

function stopMusicMaster(){
    showMessage("stopMusicMaster 1");
    stopMusic();
    afterStopMusic();
    showMessage("stopMusicMaster 2");
}

function makeAllAsPlayButtons() {
	showMessage("makeAllAsPlayButtons 1");
    currentRunCount = 1;
	document.getElementById("11").className = "button button-block button-positive icon-left ion-play";
	document.getElementById("21").className = "button button-block button-positive icon-left ion-play";
	document.getElementById("51").className = "button button-block button-positive icon-left ion-play";
	document.getElementById("108").className = "button button-block button-positive icon-left ion-play";
    showMessage("makeAllAsPlayButtons 2");
}

function updateButtonText() {
    showMessage("updateButtonText 1");
	document.getElementById(countToPlay).innerHTML = currentRunCount + "/" + countToPlay;
	document.getElementById(countToPlay).className = "button button-block button-positive icon-left ion-stop";
    updateImage();
    showMessage("updateButtonText 2");
}

function updateButtonTextToDefault() {
    showMessage("updateButtonTextToDefault 1");
	document.getElementById("11").innerHTML = "11 times";
	document.getElementById("21").innerHTML = "21 times";
	document.getElementById("51").innerHTML = "51 times";
	document.getElementById("108").innerHTML = "108 times";
    showMessage("updateButtonTextToDefault 2");
}

function updateImage(){
    showMessage("updateImage 1");
    var imgNumber = (currentRunCount % 7) + 1;
    var imgName = "img/GodShiva" + imgNumber + ".jpg";
    document.getElementById("imgGod").src = imgName;
    showMessage("updateImage 2");
}