// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
angular.module('starter', ['ionic'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if(window.StatusBar) {
      StatusBar.styleDefault();
    }
	if(typeof analytics !== undefined) {
		analytics.startTrackerWithId("UA-64980015-4");
	} else {
        console.log("Google Analytics Unavailable");
	}
	// Show the popup immediately
	  var popupInfo = {};
	  popupInfo.title = "Om Namah Shivaya!";
	  popupInfo.message = "Please bless us with your ratings.";
	  popupInfo.cancelButtonLabel = "No, thanks";
	  popupInfo.laterButtonLabel = "Later";
	  popupInfo.rateButtonLabel = "Rate Now";
	  AppRate.preferences.customLocale = popupInfo;
	  AppRate.preferences.openStoreInApp = true;
//	  AppRate.preferences.storeAppURL.ios = '849930087';
	  AppRate.preferences.storeAppURL.android = 'market://details?id=com.HoneySha.DivineOM';
	  AppRate.preferences.usesUntilPrompt = 11;
	  AppRate.promptForRating();
//	  AppRate.promptForRating(true);
  });
})

function ContentController($scope, $ionicSideMenuDelegate) {
	$scope.toggleLeft = function() {
		$ionicSideMenuDelegate.toggleLeft();
	};
}

function reateUs () {
	if ($ionicPlatform.is('ios')) {
//		window.open('itms-apps://itunes.apple.com/us/app/domainsicle-domain-name-search/id511364723?ls=1&mt=8'); // or itms://
	} else if ($ionicPlatform.is('android')) {
		window.open('market://details?id=com.HoneySha.DivineOM');
	}
}